Summary:       The GeoIP database updater
Name:          geoipupdate
Version:       2.2.1
Release:       1%{?dist}%{?pext}
License:       GPLv2
Group:         Applications/System
Source0:       http://github.com/maxmind/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:       geoipupdate.cron
Source2:       geoipupdate6.cron
Patch0:        %{name}-2.1.0-config.patch
URL:           http://github.com/maxmind/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        MaxMind, Inc. <geoipapi@maxmind.com>
Provides:      GeoIP-update = %{version}-%{release}
Provides:      GeoIP-update6 = %{version}-%{release}
Provides:      GeoIP-data geoip-database
Obsoletes:     GeoIP-update < %{version}-%{release}
Obsoletes:     GeoIP-update6 < %{version}-%{release}
Obsoletes:     GeoIP-data
Requires:      crontabs wget
BuildRequires: curl-devel zlib-devel


%description
The GeoIP database update program performs automatic updates of the MaxMind
GeoIP2 and GeoIP Legacy binary databases.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--datadir=%{_localstatedir}/lib

%{__make} V=1 %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.weekly
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1}   ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.weekly/geoipupdate
%{__install} -m 0755 %{SOURCE2}   ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.weekly/geoipupdate6

touch ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoLite{Country,City,ASNum}.dat
touch ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoLite{Country,City,ASNum}v6.dat
touch ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoLite2-{Country,City}.mmdb

# Compatibility links
%{__ln_s} -f GeoLiteCountry.dat   ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoIP.dat
%{__ln_s} -f GeoLiteCountryv6.dat ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoIPv6.dat
%{__ln_s} -f GeoLiteCity.dat      ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoIPCity.dat
%{__ln_s} -f GeoLiteCityv6.dat    ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoIPCityv6.dat
%{__ln_s} -f GeoLiteASNum.dat     ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoIPASNum.dat
%{__ln_s} -f GeoLiteASNumv6.dat   ${RPM_BUILD_ROOT}%{_localstatedir}/lib/GeoIP/GeoIPASNumv6.dat


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog* LICENSE README*
%config(noreplace) %{_sysconfdir}/GeoIP.conf
%{_sysconfdir}/GeoIP.conf.default
%config(noreplace) %{_sysconfdir}/cron.weekly/geoipupdate
%config(noreplace) %{_sysconfdir}/cron.weekly/geoipupdate6
%{_bindir}/geoipupdate
%{_mandir}/man1/geoipupdate.1*
%{_mandir}/man5/GeoIP.conf.5*
%dir %{_localstatedir}/lib/GeoIP
%ghost %{_localstatedir}/lib/GeoIP/GeoIP.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoIPv6.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoIPCity.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoIPCityv6.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoIPASNum.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoIPASNumv6.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoLiteCountry.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoLiteCountryv6.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoLiteCity.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoLiteCityv6.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoLiteASNum.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoLiteASNumv6.dat
%ghost %{_localstatedir}/lib/GeoIP/GeoLite2-Country.mmdb
%ghost %{_localstatedir}/lib/GeoIP/GeoLite2-City.mmdb


%changelog
* Thu May 07 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2.2.1-1
- New version (2.2.1)

* Sat Jan 10 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2.1.0-2
- Added missing compatibility links

* Fri Jan 09 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2.1.0-1
- Initial build
